Name:           perl-Cflow
Version:        1.053
Release:        9%{?dist}
Summary:        Find flows in raw IP flow files
Group:          Development/Libraries
License:        GPLv2+
URL:            http://net.doit.wisc.edu/~plonka/Cflow/
Source0:        http://net.doit.wisc.edu/~plonka/Cflow/Cflow-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  flow-tools-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Cflow with flow-tools support.  This module implements an API for
processing IP flow accounting information which as been collected from
routers and written into flow files.

%prep
%setup -q -n Cflow-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" \
   CCFLAGS='-DOSU' LIBS='-lft'

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README Changes
%{_bindir}/flowdumper
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cflow.pm
%{_mandir}/man1/flowdumper.1.gz
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.053-9
Rebuild for new perl

* Sat Feb  9 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.053-8
- Rebuild for gcc 3.4

* Thu Aug 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 1.053-7
- Rebuild for BuildID

* Wed Aug 15 2007 - Orion Poplawski <orion@cora.nwra.com> - 1.053-6
- Update License tag
- Add BR perl(ExtUtils::MakeMaker)

* Thu Sep  7 2006 - Orion Poplawski <orion@cora.nwra.com> - 1.053-5
- Rebuild for FC6

* Fri Feb 24 2006 - Orion Poplawski <orion@cora.nwra.com> - 1.053-4
- Rebuild for FC5 gcc/glibc changes

* Fri Oct 21 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.053-3
- Remove BR zlib-devel (Bug #171206 resolved)

* Wed Oct 19 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.053-2
- Add BR zlib-devel because flow-tools-devel does not properly
  include it (Bug #171206)

* Tue Oct 11 2005 - Orion Poplawski <orion@cora.nwra.com> - 1.053-1
- Initial version
